<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('schedule_point_plans', function (Blueprint $table) {
            $table->unique(['year', 'sen_manager_id'], 'unique_year_manager');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('schedule_point_plans', function (Blueprint $table) {
            $table->dropUnique('unique_year_manager');
        });
    }
};
